Package ghidra.app.util.bin.format.dwarf.macro.entry

# Class DWARFMacroDefine

java.lang.Object
ghidra.app.util.bin.format.dwarf.macro.entry.DWARFMacroInfoEntry
ghidra.app.util.bin.format.dwarf.macro.entry.DWARFMacroDefine

Direct Known Subclasses:
  `DWARFMacroUndef`

public class DWARFMacroDefine extends DWARFMacroInfoEntry
Represents a "#define ...." macro element.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final record`
  `DWARFMacroDefine.MacroInfo`

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.bin.format.dwarf.macro.entry.DWARFMacroInfoEntry

  `macroHeader, opcode, operandValues, rawOpcode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DWARFMacroDefine(int lineNumber, String defineString, DWARFMacroHeader parent)`
  `DWARFMacroDefine(DWARFMacroInfoEntry other)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getLineNumber()`
  `String`
  `getMacro()`
  `DWARFMacroDefine.MacroInfo`
  `getMacroInfo()`
  `static DWARFMacroDefine.MacroInfo`
  `parseMacro(String macroString)`
  `String`
  `toString()`

  ### Methods inherited from class ghidra.app.util.bin.format.dwarf.macro.entry.DWARFMacroInfoEntry

  `getName, getOpcode, getOperand, operandDef, read, toSpecializedForm`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DWARFMacroDefine

    public DWARFMacroDefine(int lineNumber, String defineString, DWARFMacroHeader parent)

  - ### DWARFMacroDefine

    public DWARFMacroDefine(DWARFMacroInfoEntry other)

- ## Method Details

  - ### parseMacro

    public static DWARFMacroDefine.MacroInfo parseMacro(String macroString)

  - ### getLineNumber

    public int getLineNumber() throws IOException
    Throws:
      `IOException`

  - ### getMacro

    public String getMacro() throws IOException
    Throws:
      `IOException`

  - ### getMacroInfo

    public DWARFMacroDefine.MacroInfo getMacroInfo() throws IOException
    Throws:
      `IOException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `DWARFMacroInfoEntry`